=== debian/changelog ===
snapd (2.57.6-1) unstable; urgency=high

  * SECURITY UPDATE: Local privilege escalation
    - snap-confine: Fix race condition in snap-confine when preparing a
      private tmp mount namespace for a snap
    - CVE-2022-3328
  * sync packaging changes from upstream
  * d/p/0015-fix-build-5bd97b39a03.patch:
    - cherry-pick 5bd97b39a03 to build FTBFS
  * d/p/0016-skip-TestPopulateFromSeedWithConnectHook.patch:
    - skip TestPopulateFromSeedWithConnectHook as it does not
      converge

 -- Michael Vogt <mvo@debian.org>  Thu, 01 Dec 2022 17:35:36 +0100

snapd (2.57.5-1) unstable; urgency=medium

  * New upstream release, LP: #1983035
    - image: clean snapd mount after preseeding
    - wrappers,snap/quota: clear LogsDirectory= in the service unit
      for journal namespaces
    - cmd/snap,daemon: allow zero values from client to daemon for
      journal rate-limit
    - interfaces: steam-support allow pivot /run/media and /etc/nvidia
      mount
    - o/ifacestate: introduce DebugAutoConnectCheck hook
    - release, snapd-apparmor, syscheck: distinguish WSL1 and WSL2
    - autopkgtests: fix running autopkgtest on kinetic
    - interfaces: add microceph interface
    - interfaces: steam-support allow additional mounts
    - many: add stub services
    - interfaces: add kconfig paths to system-observe
    - i/b/system_observe: honour root dir when checking for
      /boot/config-*
    - interfaces: grant access to speech-dispatcher socket
    - interfaces: rework logic of unclashMountEntries

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Oct 2022 18:25:18 +0200

snapd (2.57.4-1) unstable; urgency=medium

  * New upstream release, LP: #1983035
    - release, snapd-apparmor: fixed outdated WSL detection
    - overlord/ifacestate: fix conflict detection of auto-connection
    - overlord: run install-device hook during factory reset
    - image/preseed/preseed_linux: add missing new line
    - boot: add factory-reset cases for boot-flags.
    - interfaces: added read/write access to /proc/self/coredump_filter
      for process-control
    - interfaces: add read access to /proc/cgroups and
      /proc/sys/vm/swappiness to system-observe
    - fde: run fde-reveal-key with `DefaultDependencies=no`
    - snapdenv: added wsl to userAgent
    - tests: fix restore section for persistent-journal-namespace
    - i/b/mount-control: add optional `/` to umount rules
    - cmd/snap-bootstrap: changes to be able to boot classic rootfs
    - cmd/snap-bootstrap: add CVM mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Sep 2022 09:54:21 +0200

snapd (2.57.3-1) unstable; urgency=medium

  * New upstream release, LP: #1983035
    - wrappers: journal namespaces did not honor journal.persistent
    - snap/quota,wrappers: allow using 0 values for the journal rate to
      override the system default values
    - multiple: clear up naming convention for cpu-set quota
    - i/b/mount-control: allow custom filesystem types
    - i/b/system-observe: allow reading processes security label
    - sandbox/cgroup: don't check V1 cgroup if V2 is active
    - asserts,boot,secboot: switch to a secboot version measuring
      classic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Sep 2022 12:37:30 +0200

snapd (2.57.2-1) unstable; urgency=medium

  * New upstream release, LP: #1983035
    - store/tooling,tests: support UBUNTU_STORE_URL override env var
    - packaging/*/tests/integrationtests: reload ssh.service, not
      sshd.service
    - tests: check snap download with snapcraft v7+ export-login auth
      data
    - store/tooling: support using snapcraft v7+ base64-encoded auth
      data
    - many: progress bars should use the overridable stdouts
    - many: refactor store code to be able to use simpler form of auth
      creds
    - snap,store: drop support/consideration for anonymous download urls
    - data: include snapd/mounts in preseeded blob
    - many: Set SNAPD_APPARMOR_REEXEC=1
    - overlord: track security profiles for non-active snaps

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 Sep 2022 17:56:46 +0200

snapd (2.57.1-1) unstable; urgency=medium

  * New upstream release, LP: #1983035
    - cmd/snap-update-ns: handle mountpoint removal failures with EBUSY
    - cmd/snap-update-ns: print current mount entries
    - cmd/snap-update-ns: check the unused mounts with a cleaned path
    - snap-confine: disable -Werror=array-bounds in __overflow tests to
      fix build error on Ubuntu 22.10
    - systemd: add `WantedBy=default.target` to snap mount units
      (LP: #1983528)

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Wed, 10 Aug 2022 09:30:50 +0300

snapd (2.57-1) unstable; urgency=medium

  * New upstream release, LP: #1983035
    - tests: Fix calls to systemctl is-system-running
    - osutil/disks: handle GPT for 4k disk and too small tables
    - packaging: import change from the 2.54.3-1.1 upload
    - many: revert "features: disable refresh-app-awarness by default
      again"
    - tests: improve robustness of preparation for regression/lp-1803542
    - tests: get the ubuntu-image binary built with test keys
    - tests: remove commented code from lxd test
    - interfaces/builtin: add more permissions for steam-support
    - tests: skip interfaces-network-control on i386
    - tests: tweak the "tests/nested/manual/connections" test
    - interfaces: posix-mq: allow specifying message queue paths as an
      array
    - bootloader/assets: add ttyS0,115200n8 to grub.cfg
    - i/b/desktop,unity7: remove name= specification on D-Bus signals
    - tests: ensure that microk8s does not produce DENIED messages
    - many: support non-default provenance snap-revisions in
      DeriveSideInfo
    - tests: fix `core20-new-snapd-does-not-break-old-initrd` test
    - many: device and provenance revision authority cross checks
    - tests: fix nested save-data test on 22.04
    - sandbox/cgroup: ignore container slices when tracking snaps

