=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                golang-gopkg-retry.v1-dev,
                golang-gopkg-tylerb-graceful.v1-dev,
                golang-gopkg-yaml.v3-dev,
-               golang-go (>=2:1.13),
+               golang-go (>=2:1.18),
                indent,
                libcap-dev,
                libapparmor-dev,
