## snapd 2.63

=== debian/changelog ===
snapd (2.63-4) unstable; urgency=medium

  * debian: fix lxc/fuse woes
  * debian: remove smoke test intended for containers, closes: #1076490

 -- Zygmunt Krynicki <me@zygoon.pl>  Fri, 19 Jul 2024 07:15:23 +0200

snapd (2.63-3) unstable; urgency=medium

  * debian: fix looking for new upstream versions
  * debian: depend on squashfuse in autopkgtests

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 17 Jun 2024 16:21:30 +0200

snapd (2.63-2) unstable; urgency=medium

  * debian: make test files executable
  * debian: add missing sudo call in smoke test

 -- Zygmunt Krynicki <me@zygoon.pl>  Thu, 13 Jun 2024 15:06:19 +0200

snapd (2.63-1) unstable; urgency=medium

  [ Ernest Lotter ]
  * New upstream release, LP: #2061179
    - Support for snap services to show the current status of user
      services (experimental)
    - Refresh app awareness: record snap-run-inhibit notice when
      starting app from snap that is busy with refresh (experimental)
    - Refresh app awareness: use warnings as fallback for desktop
      notifications (experimental)
    - Aspect based configuration: make request fields in the aspect-
      bundle's rules optional (experimental)
    - Aspect based configuration: make map keys conform to the same
      format as path sub-keys (experimental)
    - Aspect based configuration: make unset and set behaviour similar
      to configuration options (experimental)
    - Aspect based configuration: limit nesting level for setting value
      (experimental)
    - Components: use symlinks to point active snap component revisions
    - Components: add model assertion support for components
    - Components: fix to ensure local component installation always gets
      a new revision number
    - Add basic support for a CIFS remote filesystem-based home
      directory
    - Add support for AppArmor profile kill mode to avoid snap-confine
      error
    - Allow more than one interface to grant access to the same API
      endpoint or notice type
    - Allow all snapd service's control group processes to send systemd
      notifications to prevent warnings flooding the log
    - Enable not preseeded single boot install
    - Update secboot to handle new sbatlevel
    - Fix to not use cgroup for non-strict confined snaps (devmode,
      classic)
    - Fix two race conditions relating to freedesktop notifications
    - Fix missing tunables in snap-update-ns AppArmor template
    - Fix rejection of snapd snap udev command line by older host snap-
      device-helper
    - Rework seccomp allow/deny list
    - Clean up files removed by gadgets
    - Remove non-viable boot chains to avoid secboot failure
    - posix_mq interface: add support for missing time64 mqueue syscalls
      mq_timedreceive_time64 and mq_timedsend_time64
    - password-manager-service interface: allow kwalletd version 6
    - kubernetes-support interface: allow SOCK_SEQPACKET sockets
    - system-observe interface: allow listing systemd units and their
      properties
    - opengl interface: enable use of nvidia container toolkit CDI
      config generation

  [ Zygmunt Krynicki ]
  * debian: add smoke autopkgtest

 -- Zygmunt Krynicki <me@zygoon.pl>  Thu, 13 Jun 2024 08:13:42 +0200

snapd (2.62-5) unstable; urgency=medium

  * debian: enable snapd.socket in autopkgtests

 -- Zygmunt Krynicki <me@zygoon.pl>  Wed, 05 Jun 2024 10:16:06 +0200

snapd (2.62-4) unstable; urgency=medium

  * debian: show snapd version, use go from the archive
  * debian: pass SPREAD_DEBUG_EACH=0 and SPREAD_REUSE_SNAPD=1
  * debian: create test user for autopkgtest

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 04 Jun 2024 11:15:01 +0200

snapd (2.62-3) unstable; urgency=medium

  * Cherry pick fix for CVE-2024-5138 (closes: #1072365)
  * Update lintian overrides
  * Update compatibility level from 9 to 13
    - remove --fail-missing from dh
    - remove --with=systemd from dh
    - move snapd-generator from usr/lib/... to lib/systemd/system-generators
    - drop autoreconf dependencies (obsolete since level 10)
  * Synchronize changes from packaging/debian-sid to debian/

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 03 Jun 2024 19:01:31 +0200

snapd (2.62-2) unstable; urgency=medium

  * Build-depend on systemd-dev (closes: #1060611)

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 28 May 2024 12:27:10 +0200

snapd (2.62-1) unstable; urgency=medium

  [ Ernest Lotter ]
  * New upstream release, LP: #2058277
    - Aspects based configuration schema support (experimental)
    - Refresh app awareness support for UI (experimental)
    - Support for user daemons by introducing new control switches
      --user/--system/--users for service start/stop/restart
      (experimental)
    - Add AppArmor prompting experimental flag (feature currently
      unsupported)
    - Installation of local snap components of type test
    - Packaging of components with snap pack
    - Expose experimental features supported/enabled in snapd REST API
      endpoint /v2/system-info
    - Support creating and removing recovery systems for use by factory
      reset
    - Enable API route for creating and removing recovery systems using
      /v2/systems with action create and /v2/systems/{label} with action
      remove
    - Lift requirements for fde-setup hook for single boot install
    - Enable single reboot gadget update for UC20+
    - Allow core to be removed on classic systems
    - Support for remodeling on hybrid systems
    - Install desktop files on Ubuntu Core and update after snapd
      upgrade
    - Upgrade sandbox features to account for cgroup v2 device filtering
    - Support snaps to manage their own cgroups
    - Add support for AppArmor 4.0 unconfined profile mode
    - Add AppArmor based read access to /etc/default/keyboard
    - Upgrade to squashfuse 0.5.0
    - Support useradd utility to enable removing Perl dependency for
      UC24+
    - Support for recovery-chooser to use console-conf snap
    - Add support for --uid/--gid using strace-static

