## snapd 2.63+20.04ubuntu0.1

=== data/Makefile ===
all install clean:
	$(MAKE) -C systemd $@
	$(MAKE) -C systemd-user $@
	$(MAKE) -C systemd-env $@
	$(MAKE) -C systemd-tmpfiles $@
	$(MAKE) -C dbus $@
	$(MAKE) -C env $@
	$(MAKE) -C desktop $@
