=== data/systemd-tmpfiles/Makefile ===
#
# Copyright (C) 2022 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

LIBEXECDIR := /usr/lib
TMPFILESDIR := $(LIBEXECDIR)/tmpfiles.d

TMPFILES_CONF = $(wildcard *.conf)

.PHONY: all
all: $(TMPFILES_CONF)

.PHONY: install
install: $(TMPFILES_CONF)
	install -d -m 0755 $(DESTDIR)/$(TMPFILESDIR)
	install -m 0644 -t $(DESTDIR)/$(TMPFILESDIR) $^

.PHONY: clean
clean:
	echo "Nothing to see here."
